package com.rehome.jpahefengweather.dto;

import com.rehome.jpahefengweather.dto.bean.NmcNowData;
import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "NmcNowWeatherDto", description = "接收数据")
public class NmcNowWeatherDto extends NmcBaseDto{
    //@ApiModelProperty("实时天气数据")
    private NmcNowData data;

    /**
     * 根据 map 还原 NmcNowWeatherDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.NmcNowWeatherDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static NmcNowWeatherDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, NmcNowWeatherDto.class);
    }

    public NmcNowData getData() {
        return data;
    }

    public void setData(NmcNowData data) {
        this.data = data;
    }
}
